### Method

# Gdk Displaysupports_input_shapes

#### Declaration [src]

    gboolean
    gdk_display_supports_input_shapes (
      GdkDisplay* display
    )

#### Description [src]

Returns `TRUE` if the display supports input shapes.

This means that `gdk_surface_set_input_region()` can be used to modify the input shape of surfaces on `display`.

On modern displays, this value is always `TRUE`.

Gets property | `Gdk.Display:input-shapes`

#### Return value

Type: `gboolean`

`TRUE` if surfaces with modified input shape are supported.